Bitcoin Forum
December 05, 2016, 12:36:58 PM *
News: To be able to use the next phase of the beta forum software, please ensure that your email address is correct/functional.
 
   Home   Help Search Donate Login Register  
Pages: [1]
  Print  
Author Topic: Problem loading a wallet from 0.4 into 0.5  (Read 1142 times)
Piper67
Legendary
*
Offline Offline

Activity: 1008



View Profile
November 30, 2011, 05:16:55 PM
 #1

Hi all, sorry if this has already been addressed. I upgraded to version 0.4 when it came out a few months ago. I then saved my wallet.dat file onto an external drive.

Today, after downloading v0.5, I tried as usual to just copy the wallet.dat file into the appdata/roaming/bitcoin folder, but when I try to start up the client, it crashes.

If I let it start up with its own wallet.dat, it runs perfectly, downloads the blockchain and everything... but then my wallet is empty, which isn't good :-)

Aside from trying the same trick on another computer hopefully running v0.4, is there a known issue with trying to start up v0.5 with a v0.4 wallet.dat? How do I fix it?

Many thanks
1480941418
Hero Member
*
Offline Offline

Posts: 1480941418

View Profile Personal Message (Offline)

Ignore
1480941418
Reply with quote  #2

1480941418
Report to moderator
1480941418
Hero Member
*
Offline Offline

Posts: 1480941418

View Profile Personal Message (Offline)

Ignore
1480941418
Reply with quote  #2

1480941418
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
Anonymous
Guest

November 30, 2011, 11:33:53 PM
 #2

Hi all, sorry if this has already been addressed. I upgraded to version 0.4 when it came out a few months ago. I then saved my wallet.dat file onto an external drive.

Today, after downloading v0.5, I tried as usual to just copy the wallet.dat file into the appdata/roaming/bitcoin folder, but when I try to start up the client, it crashes.

If I let it start up with its own wallet.dat, it runs perfectly, downloads the blockchain and everything... but then my wallet is empty, which isn't good :-)

Aside from trying the same trick on another computer hopefully running v0.4, is there a known issue with trying to start up v0.5 with a v0.4 wallet.dat? How do I fix it?

Many thanks
Can you check the logs, and send us anything containing the keywords "Exception", "Panic", "Die", "Exit", or anything else relating to programing exceptions.
Piper67
Legendary
*
Offline Offline

Activity: 1008



View Profile
December 01, 2011, 02:20:45 AM
 #3

Not sure if you were trying to be helpful or funny, but you were neither. Again, I need to be able to load up my 0.4 wallet.dat file to 0.5, and it won't do it. If someone has an idea, please let me know.

Edit: found a fix. Got an old computer with an old version of the client. Uploaded wallet to it, then installed v0.5 on top of it.
Anonymous
Guest

December 01, 2011, 11:27:25 PM
 #4

Not sure if you were trying to be helpful or funny, but you were neither. Again, I need to be able to load up my 0.4 wallet.dat file to 0.5, and it won't do it. If someone has an idea, please let me know.

Edit: found a fix. Got an old computer with an old version of the client. Uploaded wallet to it, then installed v0.5 on top of it.
Well, I was trying to be helpful, and if you were to find those in the logs, you could find the name of the exception, then you could find the cause, and that would be very useful.
Pages: [1]
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!